<?php
require_once(WCF_DIR.'lib/data/cronjobs/Cronjob.class.php');
require_once(WCF_DIR.'lib/data/user/UserEditor.class.php');

/**
 * @author 		Marco Daries
 * @copyright	2011 JD-Net.eu
 * @license		Creative Commons <by-sa> (http://creativecommons.org/licenses/by-sa/3.0/deed.de)
 * @package		eu.jdnet.registrationActivationTime
 */

class RegistrationActivationTimeCronjob implements Cronjob {
	public function execute($data) {
		
		$lastTime = TIME_NOW - (REGISTRATION_ACTIVATION_TIME * 86400);
		$userIDs = array();
		
		$sql = 	"SELECT		*
				 FROM		wcf".WCF_N."_user
				 WHERE		registrationDate < ".$lastTime." 
				 		AND activationCode != 0";
		$result = WCF::getDB()->sendQuery($sql);
		while($row = WCF::getDB()->fetchArray($result)) {
			$userIDs[] = $row['userID'];
		}
		
		if (count($userIDs) > 0) {
			UserEditor::deleteUsers($userIDs);
		}
	}
}
?>